# There's not been a release in a long time for dvb-apps
# We use a Release based on the ChangeSet number and hash
%define hgr 1505
%define hgver 3d43b280298c

Name:    dvb-apps
Version: 1.1.2
Release: 19.%{hgr}.%{hgver}%{?dist}
Summary: Utility, demo and test applications using the Linux DVB API

License: GPLv2+
URL:     http://www.linuxtv.org/wiki/index.php/LinuxTV_dvb-apps

Source0: http://linuxtv.org/hg/dvb-apps/archive/%{hgver}.tar.bz2
Patch0:  dvb-apps-Make.patch
Patch1:  dvb-apps-Docs.patch
Patch2:  dvb-apps-fix-ftbfs.patch
Patch3:  linuxtv-dvb-apps-1.1.1.20100223-perl526.patch

BuildRequires:  gcc
BuildRequires:  libusb-devel
BuildRequires:  kernel-headers
BuildRequires:  perl-interpreter
Requires: dtv-scan-tables-legacy

%description
The LinuxTV dvb-apps package contains some Linux DVB API applications and a set 
of utilities that both the developer and end user alike will find quite useful. 
Specifically, the utilities are geared towards the initial setup, testing, and 
operation of a DVB device, whether it be of the software decoding or hardware 
decoding type.

%prep
%autosetup -p1 -n %{name}-%{hgver}

# Rename to non generic name
mv util/scan/scan.c util/scan/scandvb.c
mv util/zap/zap.c util/zap/dvbzap.c

cd util
install -pm 644 av7110_loadkeys/README ../README.av7110_loadkeys
install -pm 644 scan/README ../README.scandvb
install -pm 644 szap/README ../README.szap
install -pm 644 ttusb_dec_reset/README ../README.ttusb_dec_reset
cd ..

%build
LDFLAGS="$RPM_LD_FLAGS" %make_build libdir=%{_libdir} V=1

%install
%make_install INSTALL='install -p' libdir=%{_libdir}
chmod -c +x %{buildroot}%{_libdir}/lib*.so

#Remove static libraries
find %{buildroot} -name '*.a' -delete

%ldconfig_scriptlets

%files
%license COPYING COPYING.LGPL
%doc README README.*
%{_bindir}/*
%{_datadir}/dvb/av7110_loadkeys/
%{_libdir}/libdvbapi.so
%{_libdir}/libdvbcfg.so
%{_libdir}/libdvben50221.so
%{_libdir}/libdvbsec.so
%{_libdir}/libucsi.so
# Exclude for the moment as they're not used by shipped binaries
%exclude %{_libdir}/libesg.so
%exclude %{_includedir}/*
# dvbscan doesn't work and is obsolete, don't install it
%exclude %{_bindir}/dvbscan

%changelog
* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-19.1505.3d43b280298c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jul 09 2019 Filipe Rosset <rosset.filipe@gmail.com> - 1.1.2-18.1505.3d43b280298c
- added patch linuxtv-dvb-apps-1.1.1.20100223-perl526 to fix FTBFS

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-17.1505.3d43b280298c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-16.1505.3d43b280298c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-15.1505.3d43b280298c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-14.1505.3d43b280298c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-13.1505.3d43b280298c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-12.1505.3d43b280298c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-11.1505.3d43b280298c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan  6 2016 Ville Skyttä <ville.skytta@iki.fi> - 1.1.2-10.1505.3d43b280298c
- Update to current hg snapshot
- Require dtv-scan-tables-legacy instead of dtv-scan-tables (#1188376)
- Generate automatic dependencies
- Ship COPYING* as %%license, specfile cleanups

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-10.1488.f3a70b206f0f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-9.1488.f3a70b206f0f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 16 2014 Marcin Juszkiewicz <mjuszkiewicz@redhat.com> - 1.1.2-8.1488.f3a70b206f0f
- Use proper macro to check for 64 bit architecture

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-7.1488.f3a70b206f0f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jan 13 2014 Till Maas <opensource@till.name> - 1.1.2-6.1488.f3a70b206f0f
- Use dtv-scan-tables

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-5.1488.f3a70b206f0f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Apr  7 2013 Peter Robinson <pbrobinson@fedoraproject.org> 1.1.2-4.1488.f3a70b206f0f
- Update to latest snapshot

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-3.1479.37781d27a444
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2.1479.37781d27a444
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 26 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 1.1.2-1.1479.37781d27a444
- drop dvbscan as it's obsolete/broken

* Fri Mar 16 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 1.1.2-0.1479.37781d27a444
- Update to latest snapshot for various digital shutdowns

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-0.1457.bec11f78be51.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jan  3 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 1.1.2-0.1457.bec11f78be51
- Update to latest hg snapshot
- Fix release based on upstream hg
- Build with $RPM_LD_FLAGS - RHBZ #759879
- Fix naming conflicts - RHBZ #757609

* Sat Nov 12 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 1.1.2-0.d4e8bf5658ce
- Move to hg snapshot d4e8bf5658ce

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jun  5 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-22
- Patch to fix dvbnet -h crash (#597604).
- Update tuning files to 20100605.

* Tue Mar 16 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-21
- Apply upstream patch to add tzap AUTO param support (#574112, AUDU Jerome).
- Update tuning files to 20100316.

* Thu Jan 21 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-20
- Apply patch to fix czap config parsing when built w/gcc 4.4.2 (#557580).
- Update tuning files to 20100121.

* Thu Jan 14 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-19
- Update tuning files to 20100114.

* Thu Aug 20 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-18
- Update tuning files to 20090820.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul  2 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-16
- Update tuning files to 20090702.
- Drop no longer needed workaround for #483644.

* Thu Feb 26 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-15
- Add workaround for #483644.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 22 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-13
- Update tuning files to 20090222.

* Sat Aug 30 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-12
- Update tuning files to 20080830.
- Convert data files to UTF-8.
- Unfuzz optflags patch.

* Thu Feb 14 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-11
- Update tuning files to 20080214.

* Tue Aug 21 2007 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-10
- Update tuning files to 20070821.

* Mon Aug  6 2007 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-9
- Do not build test binaries we don't run or ship.
- Update tuning files to 20070806.
- Change License tag to GPLv2+.

* Sun May 13 2007 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-8
- Update tuning files to 20070513.
- Drop non-upstream license file.

* Mon Oct  2 2006 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-7
- Rebuild.

* Sat Sep 23 2006 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-6
- Include updated set of initial tuning data files from upstream hg (#203328).

* Tue Aug 29 2006 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-5
- Rebuild.

* Thu May 18 2006 Ville Skyttä <ville.skytta@iki.fi> - 1.1.1-4
- Include ATSC initial tuning data files.

* Thu May 18 2006 David Woodhouse <dwmw2@infradead.org> - 1.1.1-2
- Rebuild (to unfix kernel-headers on older distros)

* Thu May 18 2006 David Woodhouse <dwmw2@infradead.org> - 1.1.1-1
- Update to dvb-apps 1.1.1 (add ATSC functionality)
- Fix kernel-headers BR

* Tue Feb 21 2006 Ville Skyttä <ville.skytta@iki.fi> - 1.1.0-2
- Rebuild.

* Sun Jul 17 2005 Ville Skyttä <ville.skytta@iki.fi> - 1.1.0-1
- Include a copy of the GPL.

* Thu Jun 30 2005 Ville Skyttä <ville.skytta@iki.fi> - 1.1.0-0.4
- Update URL.

* Sun May 29 2005 Ville Skyttä <ville.skytta@iki.fi> - 1.1.0-0.3
- Rebuild for FC4.

* Wed Apr 20 2005 Ville Skyttä <ville.skytta@iki.fi> - 1.1.0-0.2
- Switch to recent glibc-kernheaders which includes userspace DVB headers.

* Sun Dec 26 2004 Ville Skyttä <ville.skytta@iki.fi> - 0:1.1.0-0.1
- Remove unnecessary Epochs.

* Mon Oct  4 2004 Ville Skyttä <ville.skytta@iki.fi> - 0:1.1.0-0.scop.1
- First build, loosely based on Mandrake's 1.1.0-4mdk.

